Subject: Re: bug#7986: 23.2.91; Remove unwise advice from manual

From: Reuben Thomas <[email-masked]>
Date: Fri, 4 Feb 2011 23:59:59 +0000

On 4 February 2011 23:57, Lennart Borgman <[email-masked]> wrote:
> On Sat, Feb 5, 2011 at 12:26 AM, Reuben Thomas <[email-masked]> wrote:
>>
>>   Normally, well-designed Lisp programs should not use
>> `eval-after-load'.  If you need to examine and set the variables
>> defined in another library (those meant for outside use), you can do it
>> immediately--there is no need to wait until the library is loaded.  If
>> you need to call functions defined by that library, you should load the
>> library, preferably with `require' (*note Named Features::).
>
> You can't do that. Just imagine you write a library with one single
> purpose: doing something after another library is loaded.

I don't think that is at odds with the advice "Normally, well-designed
Lisp programs should not use `eval-after-load'." But if it is, then
the manual should be corrected.

However, that does not affect my suggestion that the advice about
writing code for "personal customizations" be removed.

-- 
http://rrt.sc3d.org